=== debian/watch ===
version=4
options="decompress,pgpsigurlmangle=s/\.(?:gz|xz)$/.sign/" \
	https://www.kernel.org/pub/linux/utils/cryptsetup/v(\d[\d\.]*)/ \
	cryptsetup-(\d[\d\.]*)\.tar\.(?:gz|xz)
