=== debian/control ===
--- 
+++ 
@@ -1,20 +1,47 @@
 Source: cryptsetup
 Section: admin
 Priority: optional
-Maintainer: Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>
-Uploaders: Jonas Meurer <mejo@debian.org>,
- Guilhem Moulin <guilhem@guilhem.org>
-Build-Depends: libgcrypt20-dev (>= 1.6.1), libdevmapper-dev (>= 2:1.02.24-4), libpopt-dev, uuid-dev, libselinux1-dev, libsepol1-dev, libtool (>= 2.2), autoconf, automake (>= 1:1.12), pkg-config, autopoint, gettext, debhelper (>= 9.20120410~), xsltproc, docbook-xml, docbook-xsl (>= 1.74.3+dfsg), dpkg-dev (>= 1.15.1), po-debconf, dh-strip-nondeterminism
-Standards-Version: 3.9.8
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>
+Uploaders: Jonas Meurer <mejo@debian.org>, Guilhem Moulin <guilhem@debian.org>
+Build-Depends: autoconf,
+               automake (>= 1:1.12),
+               autopoint,
+               debhelper (>= 9.20160403~),
+               dh-strip-nondeterminism,
+               docbook-xml,
+               docbook-xsl (>= 1.74.3+dfsg),
+               dpkg-dev (>= 1.15.1),
+               gettext,
+               libargon2-0-dev,
+               libdevmapper-dev (>= 2:1.02.24-4),
+               libgcrypt20-dev (>= 1.6.1),
+               libjson-c-dev,
+               libpopt-dev,
+               libselinux1-dev,
+               libsepol1-dev,
+               libtool (>= 2.2),
+               pkg-config,
+               po-debconf,
+               uuid-dev,
+               xsltproc
+Standards-Version: 4.1.3
 Homepage: https://gitlab.com/cryptsetup/cryptsetup
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-cryptsetup/cryptsetup.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-cryptsetup/cryptsetup.git
 
 Package: cryptsetup
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, dmsetup, cryptsetup-bin (>= 2:1.6.0)
-Recommends: kbd, console-setup, initramfs-tools (>= 0.91) | linux-initramfs-tool, busybox | busybox-static
-Suggests: dosfstools, liblocale-gettext-perl, keyutils
+Depends: cryptsetup-bin (>= 2:1.6.0),
+         dmsetup,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: busybox-static | busybox,
+            console-setup,
+            initramfs-tools (>= 0.129) | linux-initramfs-tool,
+            kbd,
+            plymouth
+Suggests: dosfstools, keyutils, liblocale-gettext-perl
 Provides: cryptsetup-luks
 Conflicts: cryptsetup-luks
 Replaces: cryptsetup-luks, hashalot (<< 0.3-2)
@@ -33,7 +60,7 @@
 
 Package: cryptsetup-bin
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: cryptsetup (<< 2:1.4.3-1~)
 Replaces: cryptsetup (<< 2:1.4.3-1~)
 Description: disk encryption support - command line tools
@@ -44,11 +71,13 @@
  .
  This package provides cryptsetup, cryptsetup-reencrypt and luksformat.
 
-Package: libcryptsetup4
+Package: libcryptsetup12
 Section: libs
 Architecture: linux-any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}, libgpg-error0 (>= 1.10-0.1), libgcrypt20 (>= 1.6.1)
+Depends: libgpg-error0 (>= 1.10-0.1),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: disk encryption support - shared library
  Cryptsetup provides an interface for configuring encryption on block
  devices (such as /home or swap partitions), using the Linux kernel
@@ -61,7 +90,7 @@
 Section: libdevel
 Architecture: linux-any
 Multi-Arch: same
-Depends: ${misc:Depends}, libcryptsetup4 (= ${binary:Version})
+Depends: libcryptsetup12 (= ${binary:Version}), ${misc:Depends}
 Description: disk encryption support - development files
  Cryptsetup provides an interface for configuring encryption on block
  devices (such as /home or swap partitions), using the Linux kernel
@@ -74,7 +103,7 @@
 Section: debian-installer
 Package-Type: udeb
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, dmsetup-udeb
+Depends: dmsetup-udeb, ${misc:Depends}, ${shlibs:Depends}
 Description: disk encryption support - commandline tools (udeb)
  Cryptsetup provides an interface for configuring encryption on block
  devices (such as /home or swap partitions), using the Linux kernel
@@ -83,11 +112,11 @@
  .
  This udeb package provides cryptsetup for the Debian Installer.
 
-Package: libcryptsetup4-udeb
+Package: libcryptsetup12-udeb
 Section: debian-installer
 Package-Type: udeb
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: disk encryption support - shared library (udeb)
  Cryptsetup provides an interface for configuring encryption on block
  devices (such as /home or swap partitions), using the Linux kernel
