=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,12 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/architecture.mk
+
+# Export dpkg build flags
+DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow,+pie
+DEB_CFLAGS_MAINT_APPEND = -Wall
+DPKG_EXPORT_BUILDFLAGS  = 1
+include /usr/share/dpkg/default.mk
 
 # Turn on verbose mode.
 export V=1
@@ -8,14 +14,14 @@
 # Uncomment this to turn on debhelper verbose mode.
 #export DH_VERBOSE=1
 
-DEB_VERSION := $(strip $(shell LC_ALL=C dpkg-parsechangelog --show-field Version))
-DEB_DATE    := $(strip $(shell LC_ALL=C dpkg-parsechangelog --show-field Date | \
-                               LC_ALL=C date -u --file=- +%F                    ))
+-include /usr/share/dpkg/pkg-info.mk
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
 export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+
+DEB_DATE := $(strip $(shell LC_ALL=C date -u +%F -d@$(SOURCE_DATE_EPOCH)))
 
 ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
   confflags += --build $(DEB_HOST_GNU_TYPE)
@@ -25,12 +31,6 @@
 ifeq ($(origin CC),default)
   CC := $(DEB_HOST_GNU_TYPE)-gcc
 endif
-
-# Export dpkg build flags
-DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow,+pie
-DEB_CFLAGS_MAINT_APPEND = -Wall
-DPKG_EXPORT_BUILDFLAGS  = 1
--include /usr/share/dpkg/buildflags.mk
 
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
@@ -44,12 +44,13 @@
 configure-stamp:
 	dh_testdir
 	find -xtype f ! -name manifest >manifest
-	autoreconf --force --install
+	dh_autoreconf
 	./configure $(confflags)  \
 		--prefix=/usr \
 		--libdir=/lib \
 		--sbindir=/sbin \
 		--mandir=/usr/share/man \
+		--enable-libargon2 \
 		--enable-shared \
 		--enable-cryptsetup-reencrypt
 	find -xtype f >manifest.new
@@ -79,8 +80,8 @@
 	# build upstream cryptsetup
 	$(MAKE)
 	# build askpass and passdev keyscripts
-	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -pedantic -std=c99 debian/askpass.c -o debian/askpass
-	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -pedantic -std=c99 debian/passdev.c -o debian/scripts/passdev
+	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -pedantic debian/askpass.c -o debian/askpass
+	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -pedantic debian/passdev.c -o debian/scripts/passdev
 
 build: build-indep build-arch
 
@@ -91,16 +92,16 @@
 	dh_clean
 	dh_installdirs
 	mkdir -p $(CURDIR)/debian/cryptsetup-udeb
-	mkdir -p $(CURDIR)/debian/libcryptsetup4-udeb
+	mkdir -p $(CURDIR)/debian/libcryptsetup12-udeb
 	$(MAKE) DESTDIR=$(CURDIR)/debian/cryptsetup-bin install
 
 	# Copy library files to library packages
-	mkdir -p $(CURDIR)/debian/libcryptsetup4/lib/$(DEB_HOST_MULTIARCH)/
+	mkdir -p $(CURDIR)/debian/libcryptsetup12/lib/$(DEB_HOST_MULTIARCH)/
 	mkdir -p $(CURDIR)/debian/libcryptsetup-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
-	#mkdir -p $(CURDIR)/debian/libcryptsetup4/usr/lib/$(DEB_HOST_MULTIARCH)/
+	#mkdir -p $(CURDIR)/debian/libcryptsetup12/usr/lib/$(DEB_HOST_MULTIARCH)/
 
 	cp -a $(CURDIR)/debian/cryptsetup-bin/lib/libcryptsetup.so.* \
-		$(CURDIR)/debian/libcryptsetup4/lib/$(DEB_HOST_MULTIARCH)/
+		$(CURDIR)/debian/libcryptsetup12/lib/$(DEB_HOST_MULTIARCH)/
 	#cp -a $(CURDIR)/debian/cryptsetup-bin/lib/libcryptsetup.la \
 	#	$(CURDIR)/debian/libcryptsetup-dev/usr/lib/$(DEB_HOST_MULTIARCH)/
 	#cp -a $(CURDIR)/debian/cryptsetup-bin/lib/libcryptsetup.a \
@@ -111,7 +112,9 @@
 		$(CURDIR)/debian/libcryptsetup-dev/usr/include/
 	#cp -a $(CURDIR)/debian/cryptsetup-bin/lib/libcryptsetup.so \
 	#	$(CURDIR)/debian/libcryptsetup-dev/usr/lib/$(DEB_HOST_MULTIARCH)/
-	dh_link -plibcryptsetup-dev lib/$(DEB_HOST_MULTIARCH)/$$(basename $$(readlink debian/libcryptsetup4/lib/$(DEB_HOST_MULTIARCH)/libcryptsetup.so.4)) usr/lib/$(DEB_HOST_MULTIARCH)/libcryptsetup.so
+	mkdir -p $(CURDIR)/debian/cryptsetup-bin/usr/lib/tmpfiles.d
+	install -m0644 ./scripts/cryptsetup.conf $(CURDIR)/debian/cryptsetup-bin/usr/lib/tmpfiles.d
+	dh_link -plibcryptsetup-dev lib/$(DEB_HOST_MULTIARCH)/$$(basename $$(readlink debian/libcryptsetup12/lib/$(DEB_HOST_MULTIARCH)/libcryptsetup.so.12)) usr/lib/$(DEB_HOST_MULTIARCH)/libcryptsetup.so
 
 	# Remove libraries from cryptsetup package, they're shiped in seperate library packages
 	rm -rf $(CURDIR)/debian/cryptsetup-bin/lib
@@ -176,5 +179,6 @@
 	dh_installchangelogs -a
 	dh_installdocs -a
 	dh_installexamples -a debian/scripts/gen-ssl-key
-	dh_installinit -a --no-start --name=cryptdisks-early --update-rcd-params="start 26 S . start 59 0 6 ."
+	dh_installinit -a --no-start --name=cryptdisks-early
 	dh_installinit -a --no-start --name=cryptdisks-udev
+	dh_installinit -a --no-start --name=cryptdisks
